Difference between revisions of "Document structure/it"

From FreeCAD Documentation
Jump to navigation Jump to search
(Updating to match new version of source page)
 
(39 intermediate revisions by 2 users not shown)
Line 1: Line 1:
 +
<languages/>
 +
{{Docnav/it|[[Mouse Model/it|Navigazione 3D]]|[[Preferences Editor/it|Preferenze]]}}
 +
 
[[Image:Screenshot treeview.jpg|left]]
 
[[Image:Screenshot treeview.jpg|left]]
A FreeCAD document contains all the objects of your scene. It can contain groups, and objects made with any workbench. You can therefore switch between workbenches, and still work on the same document. The document is what gets saved to disk when you save your work. You can also open several documents at the same time in FreeCAD, and open several views of the same document.
+
Un documento FreeCAD contiene tutti gli oggetti della scena. Può contenere i gruppi e gli oggetti realizzati con qualsiasi ambiente di lavoro. Si possono quindi alternare gli ambienti pur continuando a lavorare sullo stesso documento. Il documento è ciò che viene salvato sul disco quando si salva il proprio lavoro. Inoltre, in FreeCAD è possibile aprire più documenti contemporaneamente, e aprire diverse viste dello stesso documento.
  
Inside the document, the objects can be moved into groups, and have a unique name. Managing groups, objects and object names is done mainly from the Tree view. It can also be done, of course, like everything in FreeCAD, from the python interpreter. In the Tree view, you can create groups, move objects to groups, delete objects or groups, by right-clicking in the tree view or on an object, rename objects by double-clicking on their names, or possibly other operations, depending on the current workbench.
+
All'interno del documento, gli oggetti possono essere raggruppati, e avere un unico nome. La gestione dei gruppi, degli oggetti e dei nomi degli oggetti avviene prevalentemente nella [[Tree view/it|vista a albero]]. '''Nota:''' Naturalmente, queste operazioni, come tutto in FreeCAD, si possono eseguire anche tramite interprete [[Python/it|Python]].
  
The objects inside a FreeCAD document can be of different types. Each workbench can create its own types of objects, for example the [[Mesh Workbench]] creates mesh objects, the [[Part Workbench]] create Part objects, the [[Draft Workbench]] also creates Part objects, etc.
+
Nella [[Tree view/it|vista a albero]], è possibile creare dei [[Image:Std_Group.svg|16px]] [[Std Group/it|gruppi]], spostare gruppi di oggetti, eliminare oggetti o gruppi, facendo clic destro nella [[Tree view/it|vista a albero]] o su un oggetto, oppure rinominare gli oggetti facendo doppio clic sui loro nomi, o eventualmente eseguire altre operazioni, attinenti l'ambiente di lavoro attivo.
  
If there is at least one document open in FreeCAD, there is always one and only one active document. That's the document that appears in the current 3D view, the document you are currently working on.
+
Un documento FreeCAD può contenere oggetti di diversi tipi. Ogni ambiente di lavoro crea oggetti di tipo specifico, per esempio [[Image:Workbench_Mesh.svg|16px]] [[Mesh Module/it|Mesh]] crea oggetti Mesh , [[Image:Workbench_Part.svg|16px]] [[Part Module/it|Parte]] crea oggetti Parte, [[Image:Workbench_Draft.svg|16px]]  [[Draft Module/it|Draft]] crea disegni e anche oggetti Parte, ecc.
  
==Application and User Interface==
+
In FreeCAD può essere attivo un solo documento alla volta. Il documento attivo è quello che viene visualizzato nella vista 3D corrente ed è il documento in lavorazione.
  
Like almost everything else in FreeCAD, the user interface part (Gui) is separated from the base application part (App). This is also valid for documents. The documents are also made of two parts: the Application document, which contains our objects, and the View document, which contains the representation on screen of our objects.
+
== Applicazione e Interfaccia utente ==
  
Think of it as two spaces, where the objects are defined. Their constructive parameters (is it a cube? a cone? which size?) are stored in the Application document, while their graphical representation (is it drawn with black lines? with blue faces?) are stored in the View document. Why is that? Because FreeCAD can also be used WITHOUT graphical interface, for example inside other programs, and we must still be able to manipulate our objects, even if nothing is drawn on the screen.
+
Come per quasi tutto il resto, in FreeCAD, la parte interfaccia grafica utente (GUI) è separata dalla parte applicazione (App). Questo vale anche per i documenti.
  
Another thing that is contained inside the View document are 3D views. One document can have several views opened, so you can inspect your document from several points of view at the same time. Maybe you would want to see a top view and a front view of your work at the same time? Then, you will have two views of the same document, both stored in the View document. Creating new views or closing views can be done from the View menu or by right-clicking on a view tab.
+
I documenti sono composti da due parti: il documento '''Applicazione''', che contiene gli oggetti, e il documento '''Visualizzazione''', che contiene la rappresentazione degli oggetti sullo schermo.  
  
==Scripting==
+
Pensate a due spazi in cui sono definiti gli oggetti. I loro parametri costruttivi (si tratta di un cubo? di un cono? quanto misura?) sono memorizzati nel documento ''Applicazione'', mentre la loro rappresentazione grafica (è disegnata con linee nere? con le facce blu?) sono memorizzati nel documento ''Visualizzazione''. Questo permette di utilizzare FreeCAD anche senza interfaccia grafica, ad esempio all'interno di altri programmi, e di manipolare gli oggetti, anche senza disegnare nulla sullo schermo.
  
Documents can be easily created, accessed and modified from the python interpreter. For example:
+
Il documento Visualizzazione contiene anche le viste 3D. Un documento può avere contemporaneamente diverse viste aperte, in modo da poterlo controllare da diversi punti di vista. Ad esempio, si può visualizzare allo stesso tempo una vista dall'alto e una vista frontale. Tutte le viste dello stesso progetto vengono memorizzate nel documento Visualizzazione. La produzione di nuove viste o la chiusura di viste attive si può fare dal menu Visualizza o facendo clic destro su una scheda di visualizzazione.
FreeCAD.ActiveDocument
 
Will return the current (active) document
 
FreeCAD.ActiveDocument.Blob
 
Would access an object called "Blob" inside your document
 
FreeCADGui.ActiveDocument
 
Will return the view document associated to the current document
 
FreeCADGui.ActiveDocument.Blob
 
Would access the graphical representation (view) part of our Blob object
 
FreeCADGui.ActiveDocument.ActiveView
 
Will return the current view
 
  
{{docnav|Mouse Model|Preferences Editor}}
+
== Script ==
  
[[Category:User Documentation]]
+
Tramite l'interprete [[Python/it| Python]], si può facilmente accedere, creare o modificare i documenti. Ad esempio:
<languages/>
+
{{Code|code=
 +
FreeCAD.ActiveDocument
 +
}}
 +
Restituisce il documento corrente (attivo)
 +
{{Code|code=
 +
FreeCAD.ActiveDocument.Blob
 +
}}
 +
Accede ad un oggetto chiamato "Blob" all'interno del documento
 +
{{Code|code=
 +
FreeCADGui.ActiveDocument
 +
}}
 +
Restituisce il documento associato al documento corrente
 +
{{Code|code=
 +
FreeCADGui.ActiveDocument.Blob
 +
}}
 +
Accede alla rappresentazione grafica (visualizza) l'oggetto "Blob"
 +
{{Code|code=
 +
FreeCADGui.ActiveDocument.ActiveView
 +
}}
 +
Restituisce la vista corrente
 +
 
 +
{{Docnav/it|[[Mouse Model/it|Navigazione 3D]]|[[Preferences Editor/it|Preferenze]]}}
 +
 
 +
{{Userdocnavi{{#translation:}}}}

Latest revision as of 08:46, 14 May 2020

Other languages:
Bahasa Indonesia • ‎Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎hrvatski • ‎italiano • ‎polski • ‎português • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎български • ‎русский • ‎українська • ‎中文 • ‎中文(中国大陆)‎ • ‎한국어
Arrow-left.svg Navigazione 3D Pagina precedente:
Pagina successiva: Preferenze Arrow-right.svg
Screenshot treeview.jpg

Un documento FreeCAD contiene tutti gli oggetti della scena. Può contenere i gruppi e gli oggetti realizzati con qualsiasi ambiente di lavoro. Si possono quindi alternare gli ambienti pur continuando a lavorare sullo stesso documento. Il documento è ciò che viene salvato sul disco quando si salva il proprio lavoro. Inoltre, in FreeCAD è possibile aprire più documenti contemporaneamente, e aprire diverse viste dello stesso documento.

All'interno del documento, gli oggetti possono essere raggruppati, e avere un unico nome. La gestione dei gruppi, degli oggetti e dei nomi degli oggetti avviene prevalentemente nella vista a albero. Nota: Naturalmente, queste operazioni, come tutto in FreeCAD, si possono eseguire anche tramite interprete Python.

Nella vista a albero, è possibile creare dei Std Group.svg gruppi, spostare gruppi di oggetti, eliminare oggetti o gruppi, facendo clic destro nella vista a albero o su un oggetto, oppure rinominare gli oggetti facendo doppio clic sui loro nomi, o eventualmente eseguire altre operazioni, attinenti l'ambiente di lavoro attivo.

Un documento FreeCAD può contenere oggetti di diversi tipi. Ogni ambiente di lavoro crea oggetti di tipo specifico, per esempio Workbench Mesh.svg Mesh crea oggetti Mesh , Workbench Part.svg Parte crea oggetti Parte, Workbench Draft.svg Draft crea disegni e anche oggetti Parte, ecc.

In FreeCAD può essere attivo un solo documento alla volta. Il documento attivo è quello che viene visualizzato nella vista 3D corrente ed è il documento in lavorazione.

Applicazione e Interfaccia utente

Come per quasi tutto il resto, in FreeCAD, la parte interfaccia grafica utente (GUI) è separata dalla parte applicazione (App). Questo vale anche per i documenti.

I documenti sono composti da due parti: il documento Applicazione, che contiene gli oggetti, e il documento Visualizzazione, che contiene la rappresentazione degli oggetti sullo schermo.

Pensate a due spazi in cui sono definiti gli oggetti. I loro parametri costruttivi (si tratta di un cubo? di un cono? quanto misura?) sono memorizzati nel documento Applicazione, mentre la loro rappresentazione grafica (è disegnata con linee nere? con le facce blu?) sono memorizzati nel documento Visualizzazione. Questo permette di utilizzare FreeCAD anche senza interfaccia grafica, ad esempio all'interno di altri programmi, e di manipolare gli oggetti, anche senza disegnare nulla sullo schermo.

Il documento Visualizzazione contiene anche le viste 3D. Un documento può avere contemporaneamente diverse viste aperte, in modo da poterlo controllare da diversi punti di vista. Ad esempio, si può visualizzare allo stesso tempo una vista dall'alto e una vista frontale. Tutte le viste dello stesso progetto vengono memorizzate nel documento Visualizzazione. La produzione di nuove viste o la chiusura di viste attive si può fare dal menu Visualizza o facendo clic destro su una scheda di visualizzazione.

Script

Tramite l'interprete Python, si può facilmente accedere, creare o modificare i documenti. Ad esempio:

FreeCAD.ActiveDocument

Restituisce il documento corrente (attivo)

FreeCAD.ActiveDocument.Blob

Accede ad un oggetto chiamato "Blob" all'interno del documento

FreeCADGui.ActiveDocument

Restituisce il documento associato al documento corrente

FreeCADGui.ActiveDocument.Blob

Accede alla rappresentazione grafica (visualizza) l'oggetto "Blob"

FreeCADGui.ActiveDocument.ActiveView

Restituisce la vista corrente

Arrow-left.svg Navigazione 3D Pagina precedente:
Pagina successiva: Preferenze Arrow-right.svg